import java.io.*;

class FileTypeFilter implements FileFilter
{
	private final String fileEnding;
	
	FileTypeFilter (String type)
	{
		fileEnding = "." + type.toLowerCase();
	}
	
	public boolean accept (File file)
	{
		String name = file.getName().toLowerCase();
		
		return name.endsWith(fileEnding);
	}
}
