import java.awt.*;
import javax.swing.*;

public class InteractivePanel extends JPanel
{
	public void init ()
	{
		Component[] list = getComponents();
		
		for (int i = 0; i < list.length; i++)
		{
			if (list[i] instanceof InteractiveComponent)
			{
				((InteractiveComponent) list[i]).init();
			}
		}
	}
	
	public void start ()
	{
		Component[] list = getComponents();
		
		for (int i = 0; i < list.length; i++)
		{
			if (list[i] instanceof InteractiveComponent)
			{
				((InteractiveComponent) list[i]).start();
			}
		}
	}
	
	public void stop ()
	{
		Component[] list = getComponents();
		
		for (int i = 0; i < list.length; i++)
		{
			if (list[i] instanceof InteractiveComponent)
			{
				((InteractiveComponent) list[i]).stop();
			}
		}
	}
	
	public void end ()
	{
		Component[] list = getComponents();
		
		for (int i = 0; i < list.length; i++)
		{
			if (list[i] instanceof InteractiveComponent)
			{
				((InteractiveComponent) list[i]).end();
			}
		}
	}
}
