import java.awt.geom.Point2D;

class Scientist extends Human
{
	Scientist (DPoint spawn)
	{
		super(spawn, randomType(), 20);
	}
	
	private static String randomType ()
	{
		int i = (int) (Math.random() * 3) + 1;
		
		return "scientist" + i;
	}
	
	public void cycle (int time)
	{
		Player player = Player.getInstance();
		
		if (canSee(player) && ! (player.getWeapon() instanceof Unarmed))
		{
			moveTowards(player, BACK, 1, time);
		}
		else
		{
			wander(time);
		}
	}
}
