import java.awt.geom.Point2D;

abstract class ArmedHuman extends Human
{
	protected Weapon[] weapons;
	protected Weapon weapon;
	
	ArmedHuman (DPoint start, String type)
	{
		super(start, type);
	}	
	
	ArmedHuman (DPoint start, String type, int health)
	{
		super(start, type, health);
	}
	
	protected void setWeapons (Weapon[] weapons)
	{
		this.weapons = weapons;
		
		setWeapon(0);
	}
	
	public void setWeapon (int i)
	{
		weapon = weapons[i];
		
		setSprite(weapon.sprite);
	}
	
	public Weapon getWeapon ()
	{
		return weapon;
	}
}
