import java.awt.*;
import javax.swing.*;

public class DFrame extends JFrame
{
	public DFrame ()
	{
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		setLocationByPlatform(true);
	}
	
	public DFrame (String name)
	{
		super(name);
		
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		setLocationByPlatform(true);
	}
	
	public DFrame (int width, int height)
	{
		this();
		
		setPreferredSize(new Dimension(width, height));
		
		setResizable(false);
	}
	
	public DFrame (String name, int width, int height)
	{
		this(name);
		
		setPreferredSize(new Dimension(width, height));
		
		setResizable(false);
	}
}
