import java.awt.*;
import javax.swing.*;

class DLabel extends JLabel
{
	DLabel (String text)
	{
		super(text);
		
		setAlignmentX(CENTER_ALIGNMENT);
		
		setHorizontalAlignment(CENTER);
	}
	
	DLabel (String text, int size)
	{
		this(text);
		
		setFont(getFont().deriveFont((float) size));
	}
	
	public void paintComponent (Graphics g)
	{
		Graphics2D g2 = (Graphics2D) g;
		
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
		
		super.paintComponent(g);
	}
}
