import java.awt.*;

class TileData
{
	public final String type;
	public final Image image;
	
	TileData (String t, Image i)
	{
		type = t;
		image = i;
	}
}

class Tile extends RectangularCollisionArea
{
	public final String type;
	public final Image image;
	
	Tile (TileData data, int x, int y)
	{
		super(new DPoint(x*32, y*32), 0, 0, 32, 32);
		
		type = data.type;
		image = data.image;
	}
}
